<template>
  <div class="mouse-event-tool">
    <span>pageX: {{ pageX }}</span>
    <span>pageY: {{ pageY }}</span>
   </div>
</template>

<script setup lang="ts">
import { ref } from 'vue';

const pageX = ref(0);
const pageY = ref(0);

window.addEventListener('mousemove', (event: MouseEvent) => {
  pageX.value = event.pageX;
  pageY.value = event.pageY;
});
</script>

<style scoped lang="scss">
.mouse-event-tool {
  display: flex;
  flex-direction: column;
  position: absolute;
  top: 0;
  right: 0;
  font-size: 12px;
}
</style>
